#!/usr/bin/env python3
import subprocess
from  pyinotify import  WatchManager, Notifier, ProcessEvent, IN_ATTRIB
import time
import os
class EventHandler(ProcessEvent):
    """事件处理"""
    def process_IN_ATTRIB(self, event):
        time.sleep(1)
        if os.path.exists("/etc/udev/rules.d/cd-burn-forbid-write.rules"):
            if os.path.exists("/dev/sr0"):
                sr_stat = int(oct(os.stat('/dev/sr0').st_mode)[-3:])
                # print(os.stat("/dev/sr0"))
                if sr_stat != 440:
                    subprocess.getoutput("sudo chmod 440 /dev/sr*")
                    print("change")
                else:
                    print("not change")
                    pass
                print("test")
            else:
                pass
        else:
            pass

def FSMonitor(path: str) -> None:
    wm = WatchManager()
    # 添加监听事件类型
    mask = IN_ATTRIB
    notifier = Notifier(wm, EventHandler())
    wm.add_watch(path, mask,rec=True)
    while True:
        try:
            notifier.process_events()
            if notifier.check_events():
                notifier.read_events()
        except KeyboardInterrupt:
            notifier.stop()
            break
if __name__ == '__main__':
    FSMonitor("/dev/sr0")