#!/usr/bin/env python3
import socket
import time
import getpass
import pydbus
bus=pydbus.SystemBus()
change = bus.get("org.log.sys_transmit","/org/log/sys_transmit")


def get_host_name():
    """获取当前用户名"""
    username = getpass.getuser()
    return  username

def get_host_time():
    """获取本机时间
    return: time_1
    """
    time_1=time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())
    return time_1

def get_host_ip():
    """
    查询本机ip地址
    :return: ip
    """
    try:
        s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
        s.connect(('8.8.8.8', 80))
        ip = s.getsockname()[0]
    except Exception:
        return "127.0.0.1"
    return ip
str_1 = "'time':'{}','hostname':'{}','ip':'{}','name':'cd_control','lv':'info','message':'非管控模式插入空白光盘'".format(get_host_time(), get_host_name(), get_host_ip())
str_2='{'+str_1+'}'
change.log_transmit(str_2)